dnsjit.core.object.dns.rr(3)

NAME
dnsjit.core.object.dns.rr - Container of a DNS resource record

DESCRIPTION
The object that describes a DNS resource record.

  Attributes

have_type
    Set if there is a type.

have_class
    Set if there is a class.

have_ttl
    Set if there is a ttl.

have_rdlength
    Set if there is a rdlength.

have_rdata
    Set if there is resource record data.

have_rdata_labels
    Set if there are any labels within the rdata.

have_padding
    Set if there is padding.

type
    The type.

class
    The class.

ttl The TTL.

rdlength
    The resource record data length.

labels
    The number of labels found in the record.

rdata_offset
    The offset within the payload for the resource record data.

rdata_labels
    The number of labels found inside the resource record data.

padding_offset
    The offset within the payload where the padding starts.

padding_length
    The length of the padding.

  Functions

Rr.new()
    Create a new resource record.

SEE ALSO
dnsjit.core.object.dns(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net